%global momorel 22

Summary: K-3D open-source 3D modeling, animation, and rendering system
Name: k3d
Version: 0.6.7.0
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://www.k-3d.org/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}-src.tar.bz2 
NoSource: 0
# patch from Fedora
Patch10: k3d-0.5.15.0-gl64.patch
Patch11: k3d-0.6.7.0-sigc.patch
# momonga's patch
Patch12: k3d-0.6.7.0-gcc43.patch
Patch13: k3d-0.6.7.0-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: aqsis
Requires: yafray
# reserved
# Requires: povray
BuildRequires: ImageMagick-c++-devel >= 6.4.8.5
BuildRequires: OpenEXR-devel >= 1.6.1
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: boost-devel >= 1.37.0
BuildRequires: bzip2-devel
BuildRequires: expat-devel
BuildRequires: freetype-devel
BuildRequires: graphviz-devel
BuildRequires: gtkglext-devel
BuildRequires: gtkmm-devel
BuildRequires: gts-devel
BuildRequires: libjpeg-devel
BuildRequires: librsvg2-devel >= 2.22.2-3m
BuildRequires: libsigc++-devel >= 2.1.1
BuildRequires: libtiff-devel
BuildRequires: libtool
BuildRequires: libpng-devel
BuildRequires: mesa-libGL-devel
BuildRequires: plib
BuildRequires: python-devel >= 2.5

%description
K-3D is the free-as-in-freedom 3D modeling, animation, and rendering 
system for GNU / Linux, Posix, and Win32 operating systems. K-3D features a 
robust, object-oriented plugin architecture, designed to scale to the needs of 
professional artists, and is designed from-the-ground-up to generate 
motion-picture-quality animation using RenderMan-compliant render engines.

%package devel
Summary: Headers for rendering models written by K-3D
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the libraries and header files needed for
rendering a model written by K-3D.

%prep
%setup -q

%patch10 -p0 -b .gl64
%patch11 -p1 -b .sigc++
%patch12 -p1 -b .gcc43~
%patch13 -p1 -b .gcc44~

autoreconf -fi

case "`gcc -dumpversion`" in
4.4.*)
    sed -i -e "s|^return main ();|// return main ();|" configure
;;
esac

%build
case "`gcc -dumpversion`" in
4.3.*)
   # k3d-0.6.7.0 reqiures -fpermissive with gcc43
   export CXXFLAGS="-fpermissive"
   ;;
esac
%configure \
	--enable-shared \
	--enable-static \
	--without-libxml2 \
	--with-external-boost \
	--with-freetype2 \
	--with-gnome \
	--without-graphviz \
	--with-gts \
	--with-imagemagick \
	--with-jpeg \
	--with-ngui \
	--without-nls \
	--with-openexr \
	--with-png \
	--with-python \
	--without-qt \
	--without-superlu \
	--with-svg-icons \
	--with-tiff

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog* INSTALL NEWS README TODO
%{_bindir}/k3d
%{_bindir}/k3d-bin
%{_bindir}/k3d-bug-buddy
%{_bindir}/k3d-make-module-proxy
%{_bindir}/k3d-makempeg
%{_bindir}/k3d-renderframe
%{_bindir}/k3d-renderjob
%{_bindir}/k3d-sl2xml
%{_bindir}/k3d-uuidgen
%{_libdir}/k3d
%{_libdir}/lib*.so.*
%{_datadir}/applications/k3d.desktop
%{_datadir}/k3d
%{_mandir}/man1/k3d.1*
# link to symbolic link ;-P
%{_libdir}/libk3dngui.so

%files devel
%defattr(-, root, root, -)
%{_bindir}/k3d-config
%{_includedir}/k3d
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%exclude %{_libdir}/libk3dngui.so

%changelog
* Mon May 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.7.0-22m)
- fix build with new libtool

* Sun May 17 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.7.0-21m)
- rebuilt for boost-1.39.0

* Tue Jan 27 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.7.0-20m)
- apply gcc44 patch and sed script

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.7.0-19m)
- rebuild against rpm-4.6

* Thu Jan 15 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.7.0-18m)
- rebuild against boost-1.37.0
- License: GPLv2+

* Mon Jan 12 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.7.0-17m)
- rebuild against ImageMagick-6.4.8.5-1m

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.6.7.0-16m)
- rebuild against python-2.6.1-2m

* Sun Jul 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.6.7.0-15m)
- rebuild against ImageMagick-6.4.2.1

* Sun Jul  6 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.7.0-14m)
- rebuild against graphviz-2.18

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.7.0-13m)
- rebuild against librsvg2-2.22.2-3m

* Sun Apr  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.7.0-12m)
- build with external-boost on x86_64 again

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6.7.0-11m)
- rebuild against gcc43

* Thu Mar 27 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.7.0-10m)
- rebuild against OpenEXR-1.6.1

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.7.0-9m)
- %%NoSource -> NoSource

* Thu Feb  7 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.7.0-8m)
- add gcc43.patch 
- add -fpermissive for gcc43

* Sun Dec  2 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.7.0-7m)
- move libk3dngui.so from devel to main

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.7.0-6m)
- add patch11 for libsigc++-2.1.1

* Thu Aug 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.7.0-5m)
- build without external-boost on x86_64 for the moment

* Thu Aug 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.7.0-4m)
- rebuild against boost-1.34.1-1m

* Tue Aug 14 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.6.7.0-1m)
- update to 0.6.7.0

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.6.0-3m)
- BuildRequires: freetype2-devel -> freetype-devel

* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.6.0-2m)
- Requires: aqsis, yafray

* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.6.0-1m)
- initial package for Momonga Linux
